<?php

namespace sage\HRExportImport;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'SageHRWsCredentials' => '\\sage\\HRExportImport\\StructType\\SageHRWsCredentials',
            'SageHRJobOffer' => '\\sage\\HRExportImport\\StructType\\SageHRJobOffer',
            'WsResponse' => '\\sage\\HRExportImport\\StructType\\WsResponse',
            'SageHRResponse' => '\\sage\\HRExportImport\\StructType\\SageHRResponse',
            'sageHRExportImportWebServiceException' => '\\sage\\HRExportImport\\StructType\\SageHRExportImportWebServiceException',
            'createSageHRJobOffer' => '\\sage\\HRExportImport\\StructType\\CreateSageHRJobOffer',
            'createSageHRJobOfferResponse' => '\\sage\\HRExportImport\\StructType\\CreateSageHRJobOfferResponse',
            'updateSageHRJobOffer' => '\\sage\\HRExportImport\\StructType\\UpdateSageHRJobOffer',
            'updateSageHRJobOfferResponse' => '\\sage\\HRExportImport\\StructType\\UpdateSageHRJobOfferResponse',
            'getReferenceData' => '\\sage\\HRExportImport\\StructType\\GetReferenceData',
            'getReferenceDataResponse' => '\\sage\\HRExportImport\\StructType\\GetReferenceDataResponse',
            'exportJobOffers' => '\\sage\\HRExportImport\\StructType\\ExportJobOffers',
            'exportJobOffersResponse' => '\\sage\\HRExportImport\\StructType\\ExportJobOffersResponse',
            'importOutlookMessage' => '\\sage\\HRExportImport\\StructType\\ImportOutlookMessage',
            'importOutlookMessageResponse' => '\\sage\\HRExportImport\\StructType\\ImportOutlookMessageResponse',
            'importApplicant' => '\\sage\\HRExportImport\\StructType\\ImportApplicant',
            'importApplicantResponse' => '\\sage\\HRExportImport\\StructType\\ImportApplicantResponse',
            'createJobOffer' => '\\sage\\HRExportImport\\StructType\\CreateJobOffer',
            'createJobOfferResponse' => '\\sage\\HRExportImport\\StructType\\CreateJobOfferResponse',
            'updateJobOffer' => '\\sage\\HRExportImport\\StructType\\UpdateJobOffer',
            'updateJobOfferResponse' => '\\sage\\HRExportImport\\StructType\\UpdateJobOfferResponse',
            'setOverwrite' => '\\sage\\HRExportImport\\StructType\\SetOverwrite',
            'WebServiceException' => '\\sage\\HRExportImport\\StructType\\WebServiceException',
        );
    }
}
